mia-3dsegment-local-cmeans
Prev | Analysis, filtering, combining, and segmentation of 3D images | Next

### mia-3dsegment-local-cmeans

#### Sysnopis:

`mia-3dsegment-local-cmeans` {-i `io`} [ `options` ...]

#### Description:

This program runs the segmentation of a 3D image by applying a localized c-means approach that helps to overcome intensity inhomogeneities in the image. The approach evaluates a global c-means clustering, and then separates the image into overlapping regions where more c-means iterations are run only including the locally present classes, i.e. the classes that relatively contain more pixels than a given threshold. This program implements algorithm described in:

Dunmore CJ, Wollny G, Skinner MM. (2018) MIA-Clustering: a novel method for segmentation of paleontological material. PeerJ 6:e4374.

#### Options:

#### File-IO

-i, --in-file=(input, required); io

  image to be segmented. For supported file types see Plugin type: 3dimage/io

-o, --out-file=(output); io

  class label image based on merging local labels. For supported file types see Plugin type: 3dimage/io

-G, --out-global-crisp=(output); io

  class label image based on global segmentation. For supported file types see Plugin type: 3dimage/io

-C, --class-prob=(output); io

  class probability image file, filetype must support floating point multi-frame images. For supported file types see Plugin type: 3dimage/io

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Parameters

-g, --grid-spacing=15; int in [3, inf)

  Spacing of the grid used to modulate the intensity inhomogeneities

-c, --cmeans=kmeans:nc=3; factory

  c-means initializer. For supported plug-ins see Plugin type: 1d/cmeans

-e, --c-means-epsilon=0.0001; float in (0, inf)

  c-means breaking condition for update tolerance

-t, --relative-cluster-threshold=0.02; double in [0, 1)

  threshold to ignore classes when initializing the local cmeans from the global one.

-B, --ignore-background

  Don't take background probablities into account when desiding whether classes are to be ignored

-L, --label-threshold=0; float in [0, 1]

  for values <= 0.5: create segmentation based on highest class probability, labels start at 0. For values >0.5: create labels only for voxels with a class probability higher than the given value, labels start at 1 and voxels without an according class probability are set to 0; this output is suitable for the seeded watershed filter.

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Run the segmentation on image test.png using three classes, local regions of 40 pixels (grid width 20 pixels), and a class ignore threshold of 0.01.

    mia-3dsegment-local-cmeans -i test.png -o label.png -n 3 -g 20 -t 0.01

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-3dsegment-ahmed | Home | Registration, Comparison, and Transformation of 3D images